<?php
// wcf imports
require_once(WCF_DIR.'lib/data/user/notification/object/NotificationObject.class.php');

/**
 * This dummy object provides the usage of object-unbound notifications
 *
 * @author	Oliver Kliebisch
 * @copyright	2009-2010 Oliver Kliebisch
 * @license	GNU Lesser General Public License <http://opensource.org/licenses/lgpl-license.php>
 * @package	com.woltlab.community.wcf.user.notification
 * @subpackage	data.user.notification.object
 * @category 	Community Framework
 */
class VoidNotificationObject implements NotificationObject {
        /**
         * @see NotificationObject::getIcon()
         */
        public function getIcon() {
                return '';
        }

        /**
         * @see NotificationObject::getObjectID()
         */
        public function getObjectID() {
                return 0;
        }

        /**
         * @see NotificationObject::getTitle()
         */
        public function getTitle() {
                return '';
        }

        /**
         * @see NotificationObject::getURL()
         */
        public function getURL() {
                return '';
        }
}
?>
